- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Functions
Elementary Scrolling

These are functions setting how scrollable views in Elementary widgets should behave on user interaction. More...

## Functions
Eina_Bool | elm_config_scroll_bounce_enabled_get (void)
| Get whether scrollers should bounce when they reach their viewport's edge during a scroll. More...
void | elm_config_scroll_bounce_enabled_set (Eina_Bool enabled)
| Set whether scrollers should bounce when they reach their viewport's edge during a scroll. More...
double | elm_config_scroll_bounce_friction_get (void)
| Get the amount of inertia a scroller will impose at bounce animations. More...
void | elm_config_scroll_bounce_friction_set (double friction)
| Set the amount of inertia a scroller will impose at bounce animations. More...
double | elm_config_scroll_page_scroll_friction_get (void)
| Get the amount of inertia a paged scroller will impose at page fitting animations. More...
void | elm_config_scroll_page_scroll_friction_set (double friction)
| Set the amount of inertia a paged scroller will impose at page fitting animations. More...
double | elm_config_scroll_bring_in_scroll_friction_get (void)
| Get the amount of inertia a scroller will impose at region bring animations. More...
void | elm_config_scroll_bring_in_scroll_friction_set (double friction)
| Set the amount of inertia a scroller will impose at region bring animations. More...
double | elm_config_scroll_zoom_friction_get (void)
| Get the amount of inertia scrollers will impose at animations triggered by Elementary widgets' zooming API. More...
void | elm_config_scroll_zoom_friction_set (double friction)
| Set the amount of inertia scrollers will impose at animations triggered by Elementary widgets' zooming API. More...
Eina_Bool | elm_config_scroll_thumbscroll_enabled_get (void)
| Get whether scrollers should be draggable from any point in their views. More...
void | elm_config_scroll_thumbscroll_enabled_set (Eina_Bool enabled)
| Set whether scrollers should be draggable from any point in their views. More...
unsigned int | elm_config_scroll_thumbscroll_threshold_get (void)
| Get the number of pixels one should travel while dragging a scroller's view to actually trigger scrolling. More...
void | elm_config_scroll_thumbscroll_threshold_set (unsigned int threshold)
| Set the number of pixels one should travel while dragging a scroller's view to actually trigger scrolling. More...
unsigned int | elm_config_scroll_thumbscroll_hold_threshold_get (void)
| Get the number of pixels the range which can be scrolled, while the scroller is holded. More...
void | elm_config_scroll_thumbscroll_hold_threshold_set (unsigned int threshold)
| Set the number of pixels the range which can be scrolled, while the scroller is holded. More...
double | elm_config_scroll_thumbscroll_momentum_threshold_get (void)
| Get the minimum speed of mouse cursor movement which will trigger list self scrolling animation after a mouse up event (pixels/second). More...
void | elm_config_scroll_thumbscroll_momentum_threshold_set (double threshold)
| Set the minimum speed of mouse cursor movement which will trigger list self scrolling animation after a mouse up event (pixels/second). More...
unsigned int | elm_config_scroll_thumbscroll_flick_distance_tolerance_get (void)
| Get the number of pixels the maximum distance which can be flicked. More...
void | elm_config_scroll_thumbscroll_flick_distance_tolerance_set (unsigned int distance)
| Set the number of pixels the maximum distance which can be flicked. More...
double | elm_config_scroll_thumbscroll_friction_get (void)
| Get the amount of inertia a scroller will impose at self scrolling animations. More...
void | elm_config_scroll_thumbscroll_friction_set (double friction)
| Set the amount of inertia a scroller will impose at self scrolling animations. More...
double | elm_config_scroll_thumbscroll_min_friction_get (void)
| Get the min amount of inertia a scroller will impose at self scrolling animations. More...
void | elm_config_scroll_thumbscroll_min_friction_set (double friction)
| Set the min amount of inertia a scroller will impose at self scrolling animations. More...
double | elm_config_scroll_thumbscroll_friction_standard_get (void)
| Get the standard velocity of the scroller. More...
void | elm_config_scroll_thumbscroll_friction_standard_set (double standard)
| Set the standard velocity of the scroller. More...
double | elm_config_scroll_thumbscroll_border_friction_get (void)
| Get the amount of lag between your actual mouse cursor dragging movement and a scroller's view movement itself, while pushing it into bounce state manually. More...
void | elm_config_scroll_thumbscroll_border_friction_set (double friction)
| Set the amount of lag between your actual mouse cursor dragging movement and a scroller's view movement itself, while pushing it into bounce state manually. More...
double | elm_config_scroll_thumbscroll_sensitivity_friction_get (void)
| Get the sensitivity amount which is be multiplied by the length of mouse dragging. More...
void | elm_config_scroll_thumbscroll_sensitivity_friction_set (double friction)
| Set the sensitivity amount which is be multiplied by the length of mouse dragging. More...
double | elm_config_scroll_thumbscroll_acceleration_threshold_get (void)
| Get the minimum speed of mouse cursor movement which will accelerate scrolling velocity after a mouse up event (pixels/second). More...
void | elm_config_scroll_thumbscroll_acceleration_threshold_set (double threshold)
| Set the minimum speed of mouse cursor movement which will accelerate scrolling velocity after a mouse up event (pixels/second). More...
double | elm_config_scroll_thumbscroll_acceleration_time_limit_get (void)
| Get the time limit for accelerating velocity. More...
void | elm_config_scroll_thumbscroll_acceleration_time_limit_set (double time_limit)
| Set the time limit for accelerating velocity. More...
double | elm_config_scroll_thumbscroll_acceleration_weight_get (void)
| Get the weight for the acceleration. More...
void | elm_config_scroll_thumbscroll_acceleration_weight_set (double weight)
| Set the weight for the acceleration. More...

## Detailed Description

These are functions setting how scrollable views in Elementary widgets should behave on user interaction.

## Function Documentation

Eina_Bool elm_config_scroll_bounce_enabled_get | ( | void |  | ) |

Get whether scrollers should bounce when they reach their viewport's edge during a scroll.

Returns
  the thumb scroll bouncing state

This is the default behavior for touch screens, in general.

void elm_config_scroll_bounce_enabled_set | ( | Eina_Bool | enabled | ) |

Set whether scrollers should bounce when they reach their viewport's edge during a scroll.

Parameters

  enabled | the thumb scroll bouncing state

See Also
  elm_config_scroll_bounce_enabled_get()

double elm_config_scroll_bounce_friction_get | ( | void |  | ) |

Get the amount of inertia a scroller will impose at bounce animations.

Returns
  the thumb scroll bounce friction

void elm_config_scroll_bounce_friction_set | ( | double | friction | ) |

Set the amount of inertia a scroller will impose at bounce animations.

Parameters

  friction | the thumb scroll bounce friction

See Also
  elm_config_scroll_bounce_friction_get()

double elm_config_scroll_bring_in_scroll_friction_get | ( | void |  | ) |

Get the amount of inertia a scroller will impose at region bring animations.

Returns
  the bring in scroll friction

void elm_config_scroll_bring_in_scroll_friction_set | ( | double | friction | ) |

Set the amount of inertia a scroller will impose at region bring animations.

Parameters

  friction | the bring in scroll friction

See Also
  elm_config_scroll_bring_in_scroll_friction_get()

double elm_config_scroll_page_scroll_friction_get | ( | void |  | ) |

Get the amount of inertia a paged scroller will impose at page fitting animations.

Returns
  the page scroll friction

void elm_config_scroll_page_scroll_friction_set | ( | double | friction | ) |

Set the amount of inertia a paged scroller will impose at page fitting animations.

Parameters

  friction | the page scroll friction

See Also
  elm_config_scroll_page_scroll_friction_get()

double elm_config_scroll_thumbscroll_acceleration_threshold_get | ( | void |  | ) |

Get the minimum speed of mouse cursor movement which will accelerate scrolling velocity after a mouse up event (pixels/second).

Returns
  the thumb scroll acceleration threshold

void elm_config_scroll_thumbscroll_acceleration_threshold_set | ( | double | threshold | ) |

Set the minimum speed of mouse cursor movement which will accelerate scrolling velocity after a mouse up event (pixels/second).

Parameters

  threshold | the thumb scroll acceleration threshold

See Also
  elm_config_thumbscroll_acceleration_threshold_get()

double elm_config_scroll_thumbscroll_acceleration_time_limit_get | ( | void |  | ) |

Get the time limit for accelerating velocity.

Returns
  the thumb scroll acceleration time limit

void elm_config_scroll_thumbscroll_acceleration_time_limit_set | ( | double | time_limit | ) |

Set the time limit for accelerating velocity.

Parameters

  threshold | the thumb scroll acceleration time limit

See Also
  elm_config_thumbscroll_acceleration_time_limit_get()

double elm_config_scroll_thumbscroll_acceleration_weight_get | ( | void |  | ) |

Get the weight for the acceleration.

Returns
  the thumb scroll acceleration weight

void elm_config_scroll_thumbscroll_acceleration_weight_set | ( | double | weight | ) |

Set the weight for the acceleration.

Parameters

  threshold | the thumb scroll acceleration weight

See Also
  elm_config_thumbscroll_acceleration_weight_get()

double elm_config_scroll_thumbscroll_border_friction_get | ( | void |  | ) |

Get the amount of lag between your actual mouse cursor dragging movement and a scroller's view movement itself, while pushing it into bounce state manually.

Returns
  the thumb scroll border friction

void elm_config_scroll_thumbscroll_border_friction_set | ( | double | friction | ) |

Set the amount of lag between your actual mouse cursor dragging movement and a scroller's view movement itself, while pushing it into bounce state manually.

Parameters

  friction | the thumb scroll border friction. `0.0` for perfect synchrony between two movements, `1.0` for maximum lag.

See Also
  elm_config_thumbscroll_border_friction_get()

Note
  parameter value will get bound to 0.0 - 1.0 interval, always

Eina_Bool elm_config_scroll_thumbscroll_enabled_get | ( | void |  | ) |

Get whether scrollers should be draggable from any point in their views.

Returns
  the thumb scroll state

Note
  This is the default behavior for touch screens, in general.
  All other functions namespaced with "thumbscroll" will only have effect if this mode is enabled.

void elm_config_scroll_thumbscroll_enabled_set | ( | Eina_Bool | enabled | ) |

Set whether scrollers should be draggable from any point in their views.

Parameters

  enabled | the thumb scroll state

See Also
  elm_config_scroll_thumbscroll_enabled_get()

unsigned int elm_config_scroll_thumbscroll_flick_distance_tolerance_get | ( | void |  | ) |

Get the number of pixels the maximum distance which can be flicked.

If it is flicked more than this, the flick distance is same with maximum distance.

Returns
  the thumb scroll maximum flick distance

void elm_config_scroll_thumbscroll_flick_distance_tolerance_set | ( | unsigned int | distance | ) |

Set the number of pixels the maximum distance which can be flicked.

If it is flicked more than this, the flick distance is same with maximum distance.

Parameters

  distance | the thumb scroll maximum flick distance

See Also
  elm_config_thumbscroll_flick_distance_tolerance_get()

double elm_config_scroll_thumbscroll_friction_get | ( | void |  | ) |

Get the amount of inertia a scroller will impose at self scrolling animations.

Returns
  the thumb scroll friction

void elm_config_scroll_thumbscroll_friction_set | ( | double | friction | ) |

Set the amount of inertia a scroller will impose at self scrolling animations.

Parameters

  friction | the thumb scroll friction

See Also
  elm_config_thumbscroll_friction_get()

double elm_config_scroll_thumbscroll_friction_standard_get | ( | void |  | ) |

Get the standard velocity of the scroller.

The scroll animation time is same with thumbscroll friction, if the velocity is same with standard velocity.

Returns
  the thumb scroll friction

void elm_config_scroll_thumbscroll_friction_standard_set | ( | double | standard | ) |

Set the standard velocity of the scroller.

The scroll animation time is same with thumbscroll friction, if the velocity is same with standard velocity.

Parameters

  friction | the thumb scroll friction standard

See Also
  elm_config_thumbscroll_friction_standard_get()

unsigned int elm_config_scroll_thumbscroll_hold_threshold_get | ( | void |  | ) |

Get the number of pixels the range which can be scrolled, while the scroller is holded.

Returns
  the thumb scroll hold threshold

void elm_config_scroll_thumbscroll_hold_threshold_set | ( | unsigned int | threshold | ) |

Set the number of pixels the range which can be scrolled, while the scroller is holded.

Parameters

  threshold | the thumb scroll hold threshold

See Also
  elm_config_thumbscroll_hold_threshold_get()

double elm_config_scroll_thumbscroll_min_friction_get | ( | void |  | ) |

Get the min amount of inertia a scroller will impose at self scrolling animations.

Returns
  the thumb scroll min friction

void elm_config_scroll_thumbscroll_min_friction_set | ( | double | friction | ) |

Set the min amount of inertia a scroller will impose at self scrolling animations.

Parameters

  friction | the thumb scroll min friction

See Also
  elm_config_thumbscroll_min_friction_get()

double elm_config_scroll_thumbscroll_momentum_threshold_get | ( | void |  | ) |

Get the minimum speed of mouse cursor movement which will trigger list self scrolling animation after a mouse up event (pixels/second).

Returns
  the thumb scroll momentum threshold

void elm_config_scroll_thumbscroll_momentum_threshold_set | ( | double | threshold | ) |

Set the minimum speed of mouse cursor movement which will trigger list self scrolling animation after a mouse up event (pixels/second).

Parameters

  threshold | the thumb scroll momentum threshold

See Also
  elm_config_thumbscroll_momentum_threshold_get()

double elm_config_scroll_thumbscroll_sensitivity_friction_get | ( | void |  | ) |

Get the sensitivity amount which is be multiplied by the length of mouse dragging.

Returns
  the thumb scroll sensitivity friction

void elm_config_scroll_thumbscroll_sensitivity_friction_set | ( | double | friction | ) |

Set the sensitivity amount which is be multiplied by the length of mouse dragging.

Parameters

  friction | the thumb scroll sensitivity friction. `0.1` for minimum sensitivity, `1.0` for maximum sensitivity. 0.25 is proper.

See Also
  elm_config_thumbscroll_sensitivity_friction_get()

Note
  parameter value will get bound to 0.1 - 1.0 interval, always

unsigned int elm_config_scroll_thumbscroll_threshold_get | ( | void |  | ) |

Get the number of pixels one should travel while dragging a scroller's view to actually trigger scrolling.

Returns
  the thumb scroll threshold

One would use higher values for touch screens, in general, because of their inherent imprecision.

void elm_config_scroll_thumbscroll_threshold_set | ( | unsigned int | threshold | ) |

Set the number of pixels one should travel while dragging a scroller's view to actually trigger scrolling.

Parameters

  threshold | the thumb scroll threshold

See Also
  elm_config_thumbscroll_threshold_get()

double elm_config_scroll_zoom_friction_get | ( | void |  | ) |

Get the amount of inertia scrollers will impose at animations triggered by Elementary widgets' zooming API.

Returns
  the zoom friction

void elm_config_scroll_zoom_friction_set | ( | double | friction | ) |

Set the amount of inertia scrollers will impose at animations triggered by Elementary widgets' zooming API.

Parameters

  friction | the zoom friction

See Also
  elm_config_scroll_zoom_friction_get()

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:12